variable "ip_pool" {
  type        = string
  description = "The name of the public IP pool for the servers"
}

variable "net_name" {
  type        = string
  description = "The name of the IPv4 network"
}

variable "site_name" {
  type        = string
  description = "Site identifier for internal host names"
}

variable "gpu_flavor_name" {
  type = string
  description = "Name of the GPU flavor"
}

variable "master_cpus" {
  type        = number
  description = "Number of CPUs for the master"
}

variable "master_ram" {
  type        = number
  description = "RAM for the master"
}

variable "worker_cpus" {
  type        = number
  description = "Number of CPUs for the worker"
}

variable "worker_ram" {
  type        = number
  description = "RAM for the worker"
}

variable "extra_workers" {
  type        = number
  description = "Number of extra workers to create"
}

variable "gpu_workers" {
  type        = number
  description = "Number of GPU workers to create"
}

variable "docker_volumes_size" {
  type        = number
  description = "Size of volumes for docker (GB)"
}

variable "nfs_volume_size" {
  type        = number
  description = "Size of volume for NFS server (GB)"
}

variable "scratch_volumes_size" {
  type        = number
  description = "Size of volume for ephemeral volumes (GB)"
}

variable "squid_volume_size" {
  type        = number
  description = "Size of volume for squid proxy, CVMFS cache (GB)"
}
